gnutls_x509_crt_check_hostname(3)

NAME
gnutls_x509_crt_check_hostname - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_check_hostname(gnutls_x509_crt_t cert, const char * hostname);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain an gnutls_x509_crt_t structure

const char * hostname
    A null terminated string that contains a DNS name

DESCRIPTION
This function will check if the given certificate's subject matches the given hostname. This is a basic implementation of the matching described in RFC2818 (HTTPS), which takes into account wildcards, and the DNSName/IPAddress subject alternative name PKIX extension. The comparison may have false-negatives as it is done byte by byte in non-ascii names. Wildcards are only considered if the domain name consists of three components or more, and the wildcard starts at the leftmost position.

RETURNS
non-zero for a successful match, and zero on failure.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/